/**
 *
 */
package edu.agh.sm2006.bluetooth;

import javax.microedition.lcdui.Command;

/**
 * Executable command
 *
 * @author Kuba Madej
 *
 */
public abstract class ExecutableCommand extends Command {

	/**
	 * The only constructor which simply passes all the arguments to the base
	 * class constructor
	 *
	 * @param arg0
	 *            command's label
	 * @param arg1
	 *            command's type
	 * @param arg2
	 *            command's priority
	 */
	public ExecutableCommand(String arg0, int arg1, int arg2) {
		super(arg0, arg1, arg2);
	}

	/**
	 * Executes this command
	 *
	 */
	public abstract void execute();
}
