/**
 *
 */
package edu.agh.sm2006.editor;

import javax.microedition.lcdui.Command;

/**
 * Custom Command class implementing command design pattern
 *
 * @author Kuba Madej
 *
 */
public abstract class EditorCommand extends Command {
	/**
	 * Constructor
	 *
	 * @param label
	 *            label of this command
	 * @param type
	 *            type of this command
	 * @param priority
	 *            priority of this command
	 */
	public EditorCommand(String label, int type, int priority) {
		super(label, type, priority);
	}

	/**
	 * Contains code to be executed when this command is performed
	 *
	 */
	public abstract void execute();
}
